Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

All the tests passed with Solr 3.6.0

  • Loading branch information...
commit 285e9e61b7d566d699b5cdcfd13cd49eb5d77ce8 1 parent 7893c8b
@seratch authored
Showing with 12 additions and 48 deletions.
  1. +2 −7 build.sbt
  2. +7 −38 pom.xml
  3. +1 −1  project/Build.scala
  4. +2 −2 readme.md
View
9 build.sbt
@@ -5,19 +5,14 @@ scalaVersion := "2.9.1"
crossScalaVersions := Seq("2.9.1", "2.9.0-1", "2.9.0")
libraryDependencies <++= (scalaVersion) { scalaVersion =>
- val specsArtifactId = scalaVersion match {
- case "2.9.1" => "specs_2.9.0"
- case _ => "specs_" + scalaVersion
- }
Seq(
"org.slf4j" % "slf4j-api" % "1.6.4" % "compile",
"joda-time" % "joda-time" % "1.6.2" % "compile",
- "org.apache.solr" % "solr-solrj" % "3.5.0" % "compile",
+ "org.apache.solr" % "solr-solrj" % "3.6.0" % "compile",
"ch.qos.logback" % "logback-classic" % "1.0.0" % "test",
"junit" % "junit" % "4.10" % "test",
"org.mockito" % "mockito-all" % "1.8.2" % "test",
- "org.scalatest" %% "scalatest" % "1.6.1" % "test",
- "org.scala-tools.testing" % specsArtifactId % "1.6.8" % "test",
+ "org.scalatest" %% "scalatest" % "1.7.1" % "test",
"org.scala-lang" % "scala-compiler" % scalaVersion % "test"
)
}
View
45 pom.xml
@@ -3,8 +3,8 @@
<modelVersion>4.0.0</modelVersion>
<groupId>com.github.seratch</groupId>
- <artifactId>scalikesolr_2.9.1</artifactId>
- <version>3.5.2</version>
+ <artifactId>scalikesolr_${scala.version}</artifactId>
+ <version>3.6.0</version>
<name>${project.artifactId}</name>
<description>Solr Client library for Scala</description>
<inceptionYear>2011</inceptionYear>
@@ -12,36 +12,9 @@
<properties>
<encoding>UTF-8</encoding>
<scala.version>2.9.1</scala.version>
- <solrj.version>3.5.0</solrj.version>
+ <solrj.version>3.6.0</solrj.version>
</properties>
- <distributionManagement>
- <repository>
- <id>seratch-github-repo</id>
- <url>https://github.com/seratch/scalikesolr/raw/master/mvn-repo/releases</url>
- </repository>
- <snapshotRepository>
- <id>seratch-github-snapshot-repo</id>
- <url>https://github.com/seratch/scalikesolr/raw/master/mvn-repo/snapshots</url>
- </snapshotRepository>
- </distributionManagement>
-
- <repositories>
- <repository>
- <id>scala-tools.org</id>
- <name>Scala-Tools Maven2 Repository</name>
- <url>http://scala-tools.org/repo-releases</url>
- </repository>
- </repositories>
-
- <pluginRepositories>
- <pluginRepository>
- <id>scala-tools.org</id>
- <name>Scala-Tools Maven2 Repository</name>
- <url>http://scala-tools.org/repo-releases</url>
- </pluginRepository>
- </pluginRepositories>
-
<dependencies>
<dependency>
@@ -93,14 +66,7 @@
<dependency>
<groupId>org.scalatest</groupId>
<artifactId>scalatest_${scala.version}</artifactId>
- <version>1.6.1</version>
- <scope>test</scope>
- </dependency>
- <dependency>
- <groupId>org.scala-tools.testing</groupId>
- <!-- <artifactId>specs_${scala.version}</artifactId> -->
- <artifactId>specs_2.9.0</artifactId>
- <version>1.6.8</version>
+ <version>1.7.1</version>
<scope>test</scope>
</dependency>
@@ -127,6 +93,9 @@
<groupId>org.scala-tools</groupId>
<artifactId>maven-scala-plugin</artifactId>
<version>2.15.0</version>
+ <configuration>
+ <argLine>-Xmx1024m</argLine>
+ </configuration>
<executions>
<execution>
<goals>
View
2  project/Build.scala
@@ -9,7 +9,7 @@ object ScalikeSolrBuild extends Build {
sbtPlugin := false,
organization := "com.github.seratch",
name := "scalikesolr",
- version := "3.5.2",
+ version := "3.6.0",
publishTo <<= version { (v: String) =>
val nexus = "https://oss.sonatype.org/"
if (v.trim.endsWith("SNAPSHOT")) Some("snapshots" at nexus + "content/repositories/snapshots")
View
4 readme.md
@@ -8,7 +8,7 @@
```scala
libraryDependencies ++= Seq(
- "com.github.seratch" %% "scalikesolr" % "3.5.2"
+ "com.github.seratch" %% "scalikesolr" % "(3.6,)"
)
```
@@ -31,7 +31,7 @@ The "2.9.1" of "scalikesolr_2.9.1"(artifactId) is the Scala version to use.
<dependency>
<groupId>com.github.seratch</groupId>
<artifactId>scalikesolr_2.9.1</artifactId>
- <version>[3.5,)</version>
+ <version>[3.6,)</version>
</dependency>
```
Please sign in to comment.
Something went wrong with that request. Please try again.